Subject: Re: bug#78909: [PATCH] Add 'forward-delete-char-hungry' command

From: Elijah Gabe Pérez <[email-masked]>
Date: Tue, 01 Jul 2025 21:54:27 -0600

Robert Pluim <[email-masked]> writes:

>>>>>> On Sat, 28 Jun 2025 10:17:33 +0300, Eli Zaretskii <[email-masked]> said:
>     >> I had originally intended to add a kind of `hungry-delete-mode`, because
>     >> sometimes this type of deletion is useful (e.g. for some programming
>     >> modes).
>     >> 
>     >> While `cc-mode` already have it, it's only "exclusive" for `cc-mode`
>     >> modes.
>     >>
>
> Itʼs very easy to turn on in cc-mode, but nothing stops you doing
>
>   (define-key my-favourite-language-mode-map "C-d" #'c-hungry-delete-forward)

Yes, but it feels weird that i need to load cc-mode package for use
those commands outside cc modes.

>     >> This new command was more of a kind of `c-hungry-delete-forward` than a
>     >> `backward-delete-char-untabify`.
>     >> 
>     >> I wasn't sure if it would be worth moving those cc-mode commands for
>     >> general use, or make/move the `hungry` feature from
>     >> `backward-delete-char-untabify` to be used generally.
>
> They donʼt need moving. They might need a minor mode command to turn
> them on, along with some bindings.

I didn't mean to move them at all (that would create incompatibility), i
meant to make them an alias for the new commands or use new commands for
the behavior, or definitely not modify them and run away.

-- 
                                          - E.G via GNU Emacs and Org.